opensdr_check_var(OPENSDR_QT_TARGET_TEST_CONTROL_DIR)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5SerialPort REQUIRED)
find_package(Qt5Network REQUIRED)

file(GLOB_RECURSE OPENSDR_QT_TARGET_TEST_CONTROL_HEADERS
    "${OPENSDR_QT_TARGET_TEST_CONTROL_DIR}/*.h"
)

file(GLOB_RECURSE OPENSDR_QT_TARGET_TEST_CONTROL_SOURCES
    "${OPENSDR_QT_TARGET_TEST_CONTROL_DIR}/*.c"
    "${OPENSDR_QT_TARGET_TEST_CONTROL_DIR}/*.cpp"
    "${OPENSDR_QT_TARGET_TEST_CONTROL_DIR}/*.ui"
)

set(OPENSDR_QT_TARGET_TEST_CONTROL_INCLUDES
  ${OPENSDR_QT_TEST_APP_INCLUDES}
  )

set(OPENSDR_QT_TARGET_TEST_CONTROL_LIBS
  Qt5::Widgets
  Qt5::SerialPort
  Qt5::Network
  ${OPENSDR_LIBRARIES}
)

opensdr_dev_var(OPENSDR_QT_TARGET_TEST_CONTROL_INCLUDES OPENSDR_QT_TARGET_TEST_CONTROL_HEADERS OPENSDR_QT_TARGET_TEST_CONTROL_SOURCES OPENSDR_QT_TARGET_TEST_CONTROL_LIBS)
